Loading...
Searching...
No Matches
fastjet::TopTaggerBaseStructure Class Referenceabstract
FastJet tools » Taggers

class that specifies the structure common to all top taggers More...

`#include <fastjet/tools/TopTaggerBase.hh>`

Inheritance diagram for fastjet::TopTaggerBaseStructure:
[legend]

## Public Member Functions

virtual const PseudoJet & | W () const =0
virtual const PseudoJet & | non_W () const =0

## Detailed Description

class that specifies the structure common to all top taggers

Note that this specifies only the W, non_W part of the interface. An actual top tagger structure class will also need to derive from a PseudoJetStructureBase type class (e.g. CompositeJetStructure)

Definition at line 96 of file TopTaggerBase.hh.

## Constructor & Destructor Documentation

## ~TopTaggerBaseStructure()

virtual fastjet::TopTaggerBaseStructure::~TopTaggerBaseStructure | ( |  | ) |

inline virtual

Definition at line 100 of file TopTaggerBase.hh.

## Member Function Documentation

## W()

virtual const PseudoJet & fastjet::TopTaggerBaseStructure::W | ( |  | ) | const

pure virtual

Implemented in fastjet::JHTopTaggerStructure.

## non_W()

virtual const PseudoJet & fastjet::TopTaggerBaseStructure::non_W | ( |  | ) | const

pure virtual

Implemented in fastjet::JHTopTaggerStructure.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/TopTaggerBase.hh